## libsiilihai 0.7.0-1

=== Makefile ===
#############################################################################
# Makefile for building: libsiilihai
# Generated by qmake (2.01a) (Qt 4.5.0) on: Thu Nov 12 23:42:03 2009
# Project:  libsiilihai.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile libsiilihai.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: libsiilihai.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile libsiilihai.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile libsiilihai.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: libsiilihai.so.0.6.0
# Generated by qmake (2.01a) (Qt 4.5.0) on: Thu Nov 12 23:23:17 2009
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -shared -Wl,-soname,libsiilihai.so.0
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtXml -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = parserreport.cpp \
		forumrequest.cpp \
		forummessage.cpp \
		forumthread.cpp \
		forumgroup.cpp \
		httppost.cpp \
		forumsession.cpp \
		forumsubscription.cpp \
		forumdatabase.cpp \
		parserdatabase.cpp \
		siilihaiprotocol.cpp \
		parserengine.cpp \
		forumparser.cpp \
		patternmatcher.cpp moc_forumsession.cpp \
		moc_forumdatabase.cpp \
		moc_parserdatabase.cpp \
		moc_siilihaiprotocol.cpp \
		moc_parserengine.cpp \
		moc_patternmatcher.cpp
OBJECTS       = parserreport.o \
		forumrequest.o \
		forummessage.o \
		forumthread.o \
		forumgroup.o \
		httppost.o \
		forumsession.o \
		forumsubscription.o \
		forumdatabase.o \
		parserdatabase.o \
		siilihaiprotocol.o \
		parserengine.o \
		forumparser.o \
		patternmatcher.o \
		moc_forumsession.o \
		moc_forumdatabase.o \
		moc_parserdatabase.o \
		moc_siilihaiprotocol.o \
		moc_parserengine.o \
		moc_patternmatcher.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		src.pro
QMAKE_TARGET  = siilihai
DESTDIR       = 
TARGET        = libsiilihai.so.0.6.0
TARGETA       = libsiilihai.a
TARGETD       = libsiilihai.so.0.6.0
TARGET0       = libsiilihai.so
TARGET1       = libsiilihai.so.0
TARGET2       = libsiilihai.so.0.6

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile libsiilihai.prl  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

libsiilihai.prl: 
	@$(QMAKE) -prl  -unix src.pro
Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/siilihai0.6 || $(MKDIR) .tmp/siilihai0.6 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/siilihai0.6/ && $(COPY_FILE) --parents parserreport.h forumrequest.h forummessage.h forumthread.h forumgroup.h httppost.h forumsession.h forumsubscription.h forumdatabase.h parserdatabase.h siilihaiprotocol.h parserengine.h forumparser.h patternmatcher.h .tmp/siilihai0.6/ && $(COPY_FILE) --parents parserreport.cpp forumrequest.cpp forummessage.cpp forumthread.cpp forumgroup.cpp httppost.cpp forumsession.cpp forumsubscription.cpp forumdatabase.cpp parserdatabase.cpp siilihaiprotocol.cpp parserengine.cpp forumparser.cpp patternmatcher.cpp .tmp/siilihai0.6/ && (cd `dirname .tmp/siilihai0.6` && $(TAR) siilihai0.6.tar siilihai0.6 && $(COMPRESS) siilihai0.6.tar) && $(MOVE) `dirname .tmp/siilihai0.6`/siilihai0.6.tar.gz . && $(DEL_FILE) -r .tmp/siilihai0.6


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_forumsession.cpp moc_forumdatabase.cpp moc_parserdatabase.cpp moc_siilihaiprotocol.cpp moc_parserengine.cpp moc_patternmatcher.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_forumsession.cpp moc_forumdatabase.cpp moc_parserdatabase.cpp moc_siilihaiprotocol.cpp moc_parserengine.cpp moc_patternmatcher.cpp
moc_forumsession.cpp: forumparser.h \
		forumsubscription.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h \
		forumsession.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) forumsession.h -o moc_forumsession.cpp

moc_forumdatabase.cpp: forumgroup.h \
		forumthread.h \
		forumsubscription.h \
		forummessage.h \
		forumdatabase.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) forumdatabase.h -o moc_forumdatabase.cpp

moc_parserdatabase.cpp: forumparser.h \
		parserdatabase.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) parserdatabase.h -o moc_parserdatabase.cpp

moc_siilihaiprotocol.cpp: forumparser.h \
		forumrequest.h \
		forumsubscription.h \
		httppost.h \
		parserreport.h \
		siilihaiprotocol.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) siilihaiprotocol.h -o moc_siilihaiprotocol.cpp

moc_parserengine.cpp: forumparser.h \
		forumsubscription.h \
		forumsession.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h \
		forumdatabase.h \
		parserengine.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) parserengine.h -o moc_parserengine.cpp

moc_patternmatcher.cpp: patternmatcher.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) patternmatcher.h -o moc_patternmatcher.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

parserreport.o: parserreport.cpp parserreport.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parserreport.o parserreport.cpp

forumrequest.o: forumrequest.cpp forumrequest.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumrequest.o forumrequest.cpp

forummessage.o: forummessage.cpp forummessage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forummessage.o forummessage.cpp

forumthread.o: forumthread.cpp forumthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumthread.o forumthread.cpp

forumgroup.o: forumgroup.cpp forumgroup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumgroup.o forumgroup.cpp

httppost.o: httppost.cpp httppost.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o httppost.o httppost.cpp

forumsession.o: forumsession.cpp forumsession.h \
		forumparser.h \
		forumsubscription.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumsession.o forumsession.cpp

forumsubscription.o: forumsubscription.cpp forumsubscription.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumsubscription.o forumsubscription.cpp

forumdatabase.o: forumdatabase.cpp forumdatabase.h \
		forumgroup.h \
		forumthread.h \
		forumsubscription.h \
		forummessage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumdatabase.o forumdatabase.cpp

parserdatabase.o: parserdatabase.cpp parserdatabase.h \
		forumparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parserdatabase.o parserdatabase.cpp

siilihaiprotocol.o: siilihaiprotocol.cpp siilihaiprotocol.h \
		forumparser.h \
		forumrequest.h \
		forumsubscription.h \
		httppost.h \
		parserreport.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o siilihaiprotocol.o siilihaiprotocol.cpp

parserengine.o: parserengine.cpp parserengine.h \
		forumparser.h \
		forumsubscription.h \
		forumsession.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h \
		forumdatabase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parserengine.o parserengine.cpp

forumparser.o: forumparser.cpp forumparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumparser.o forumparser.cpp

patternmatcher.o: patternmatcher.cpp patternmatcher.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o patternmatcher.o patternmatcher.cpp

moc_forumsession.o: moc_forumsession.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_forumsession.o moc_forumsession.cpp

=== src/test/Makefile ===
#############################################################################
# Makefile for building: libsiilihaitests
# Generated by qmake (2.01a) (Qt 4.5.0) on: Thu Nov 12 23:23:34 2009
# Project:  test.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I.. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L.. -lsiilihai -lQtSql -lQtXml -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		libsiilihaitests.cpp moc_libsiilihaitests.cpp
OBJECTS       = main.o \
		libsiilihaitests.o \
		moc_libsiilihaitests.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		test.pro
QMAKE_TARGET  = libsiilihaitests
DESTDIR       = 
TARGET        = libsiilihaitests

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: test.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libsiilihai.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile test.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libsiilihai.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile test.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/libsiilihaitests1.0.0 || $(MKDIR) .tmp/libsiilihaitests1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/libsiilihaitests1.0.0/ && $(COPY_FILE) --parents libsiilihaitests.h .tmp/libsiilihaitests1.0.0/ && $(COPY_FILE) --parents main.cpp libsiilihaitests.cpp .tmp/libsiilihaitests1.0.0/ && (cd `dirname .tmp/libsiilihaitests1.0.0` && $(TAR) libsiilihaitests1.0.0.tar libsiilihaitests1.0.0 && $(COMPRESS) libsiilihaitests1.0.0.tar) && $(MOVE) `dirname .tmp/libsiilihaitests1.0.0`/libsiilihaitests1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/libsiilihaitests1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_libsiilihaitests.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_libsiilihaitests.cpp
moc_libsiilihaitests.cpp: ../patternmatcher.h \
		../parserengine.h \
		../forumparser.h \
		../forumsubscription.h \
		../forumsession.h \
		../httppost.h \
		../forumgroup.h \
		../forumthread.h \
		../forummessage.h \
		../forumdatabase.h \
		../siilihaiprotocol.h \
		../forumrequest.h \
		../parserreport.h \
		../parserdatabase.h \
		libsiilihaitests.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) libsiilihaitests.h -o moc_libsiilihaitests.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp libsiilihaitests.h \
		../patternmatcher.h \
		../parserengine.h \
		../forumparser.h \
		../forumsubscription.h \
		../forumsession.h \
		../httppost.h \
		../forumgroup.h \
		../forumthread.h \
		../forummessage.h \
		../forumdatabase.h \
		../siilihaiprotocol.h \
		../forumrequest.h \
		../parserreport.h \
		../parserdatabase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

libsiilihaitests.o: libsiilihaitests.cpp libsiilihaitests.h \
		../patternmatcher.h \
		../parserengine.h \
		../forumparser.h \
		../forumsubscription.h \
		../forumsession.h \
		../httppost.h \
		../forumgroup.h \
		../forumthread.h \
		../forummessage.h \
		../forumdatabase.h \
		../siilihaiprotocol.h \
		../forumrequest.h \
		../parserreport.h \
		../parserdatabase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o libsiilihaitests.o libsiilihaitests.cpp

moc_libsiilihaitests.o: moc_libsiilihaitests.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_libsiilihaitests.o moc_libsiilihaitests.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
libsiilihai (0.7.0-1) unstable; urgency=low

  * Working, possibly first release

 -- Ville Ranki <ville.ranki@iki.fi>  Thu, 22 Oct 2009 20:29:43 +0300

libsiilihai (0.6.0-1) unstable; urgency=low

  * First more or less usable version

 -- Ville Ranki <ville.ranki@iki.fi>  Wed, 07 Oct 2009 20:29:43 +0300

libsiilihai (0.5.0-1) unstable; urgency=low

  * Initial release

 -- Ville Ranki <ville.ranki@iki.fi>  Thu, 24 Sep 2009 20:29:43 +0300

=== debian/control ===
Source: libsiilihai
Section: libs
Priority: extra
Maintainer: Ville Ranki <ville.ranki@iki.fi>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.8.0
Homepage: http://www.siilihai.com/

Package: libsiilihai
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, libqt4-xml
Description: Siilihai forum reader support library
 Contains library for creating Siilihai web forum reader UI:s.

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := libsiilihai
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	-maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libsiilihai 0.7.5-1

=== debian/changelog ===
libsiilihai (0.7.5-1) unstable; urgency=low

  * Second Ubuntu release, possibly first Maemo release

 -- Ville Ranki <ville.ranki@iki.fi>  Fri, 13 Nov 2009 20:29:43 +0300

## libsiilihai 0.7.5-2

=== debian/changelog ===
libsiilihai (0.7.5-2) unstable; urgency=low

  * Trying to get this thing thru to Maemo
  
 -- Ville Ranki <ville.ranki@iki.fi>  Fri, 13 Nov 2009 20:29:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: Ville Ranki <ville.ranki@iki.fi>
-Build-Depends: debhelper (>= 5), libqt4-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-test
 Standards-Version: 3.8.0
 Homepage: http://www.siilihai.com/

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,13 @@
 #!/usr/bin/make -f
 APPNAME := libsiilihai
-builddir:
-	mkdir -p builddir
-
-builddir/Makefile: builddir
-	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp
 
-build-stamp: builddir/Makefile
+build-stamp:
 	dh_testdir
 	# Add here commands to compile the package.
-	cd builddir && $(MAKE)
+	qmake-qt4 PREFIX=/usr -recursive
+	$(MAKE)
 	touch $@
 
 clean:
@@ -19,16 +15,21 @@
 	dh_testroot
 	rm -f build-stamp
 	# Add here commands to clean up after the build process.
-	rm -rf builddir
+	qmake-qt4 -recursive
+	make clean
+	make distclean
 	dh_clean
+	
 install: build
 	dh_testdir
 	dh_testroot
+	qmake -recursive
 	dh_clean -k
 	dh_installdirs
+	qmake -recursive
 
 # Add here commands to install the package into debian/your_appname
-	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
